dotfiles

My personal dotfiles

commit de034948afc7139db56ce8c17ec7a825d2e5199c
parent b910b16ac236c19fc8d46e6792959d03746c899e
Author: Pablo Emilio Escobar Gaviria <pablo-escobar@riseup.net>
Date:   Fri,  5 Feb 2021 11:39:31 +0000

Removed unecessary files from the repo

Diffstat:
M.config/fish/functions/config.fish | 1+
D.config/ranger/bookmarks | 4----
D.config/ranger/commands.py | 28----------------------------
D.config/ranger/rc.conf | 26--------------------------
D.config/ranger/rifle.conf | 213-------------------------------------------------------------------------------
D.config/ranger/scope.sh | 121-------------------------------------------------------------------------------
D.config/ranger/tagged | 1-
M.local/share/configs.list | 1-
8 files changed, 1 insertion(+), 394 deletions(-)
diff --git a/.config/fish/functions/config.fish b/.config/fish/functions/config.fish
@@ -51,6 +51,7 @@ function config -d "A simple configuration manager"
     set pattern (string replace --all '/' '\/' "$pattern")
     set pattern (string replace --all '.' '\.' "$pattern")
     sed -e "/^$pattern/d" -i ~/.local/share/configs.list
+    _call_git rm "$item" --cached -r
   end
 
   # Update the repository and it's remotes
diff --git a/.config/ranger/bookmarks b/.config/ranger/bookmarks
@@ -1,4 +0,0 @@
-a:/home/pablo/Papers
-c:/home/pablo/Pictures/SP
-m:/home/pablo/Papers
-':/home/pablo/Downloads
diff --git a/.config/ranger/commands.py b/.config/ranger/commands.py
@@ -1,28 +0,0 @@
-from ranger.api.commands import Command
-from os.path import join, expanduser
-
-class empty(Command):
-    """:empty
-
-    Empties the trash directory 
-    """
-
-    def execute(self):
-        self.fm.run("gio trash --empty")
-
-class rename(Command):
-    """:rename <destination>
-
-    Renames a file
-    """
-
-    def execute(self):
-        source = self.fm.thisfile
-        destination = join(self.fm.thisdir.path, expanduser(self.rest(1)))
-        destination = destination.strip()
-
-        if destination:
-            self.fm.run("mv '%s' '%s'" % (source, destination))
-        else:
-            self.fm.notify("Cancelled", bad=True)
-
diff --git a/.config/ranger/rc.conf b/.config/ranger/rc.conf
@@ -1,26 +0,0 @@
-#                             __ 
-#                            / _|
-#  _ __ ___   ___ ___  _ __ | |_ 
-# | '__/ __| / __/ _ \| '_ \|  _|
-# | | | (__ | (_| (_) | | | | |  
-# |_|  \___(_)___\___/|_| |_|_|  
-#
-# Pablo Emilio Escobar Gaviria (C) 2020
-
-# Configure ranger to preview images in the shell
-set preview_images false
-set use_preview_script true
-set preview_script ~/.config/ranger/scope.sh
-
-# Draw borders around panes
-set draw_borders true
-
-# Move files to trash
-map dd shell gio trash %s
-map D  shell gio trash %s
-
-# Copy (yank) a file
-map y copy
-
-# Paste (put) a file
-map p paste
diff --git a/.config/ranger/rifle.conf b/.config/ranger/rifle.conf
@@ -1,213 +0,0 @@
-# vim: ft=cfg
-#
-# This is the configuration file of "rifle", ranger's file executor/opener.
-# Each line consists of conditions and a command.  For each line the conditions
-# are checked and if they are met, the respective command is run.
-#
-# Syntax:
-#   <condition1> , <condition2> , ... = command
-#
-# The command can contain these environment variables:
-#   $1-$9 | The n-th selected file
-#   $@    | All selected files
-#
-# If you use the special command "ask", rifle will ask you what program to run.
-#
-# Prefixing a condition with "!" will negate its result.
-# These conditions are currently supported:
-#   match <regexp> | The regexp matches $1
-#   ext <regexp>   | The regexp matches the extension of $1
-#   mime <regexp>  | The regexp matches the mime type of $1
-#   name <regexp>  | The regexp matches the basename of $1
-#   path <regexp>  | The regexp matches the absolute path of $1
-#   has <program>  | The program is installed (i.e. located in $PATH)
-#   env <variable> | The environment variable "variable" is non-empty
-#   file           | $1 is a file
-#   directory      | $1 is a directory
-#   number <n>     | change the number of this command to n
-#   terminal       | stdin, stderr and stdout are connected to a terminal
-#   X              | $DISPLAY is not empty (i.e. Xorg runs)
-#
-# There are also pseudo-conditions which have a "side effect":
-#   flag <flags>  | Change how the program is run. See below.
-#   label <label> | Assign a label or name to the command so it can
-#                 | be started with :open_with <label> in ranger
-#                 | or `rifle -p <label>` in the standalone executable.
-#   else          | Always true.
-#
-# Flags are single characters which slightly transform the command:
-#   f | Fork the program, make it run in the background.
-#     |   New command = setsid $command >& /dev/null &
-#   r | Execute the command with root permissions
-#     |   New command = sudo $command
-#   t | Run the program in a new terminal.  If $TERMCMD is not defined,
-#     | rifle will attempt to extract it from $TERM.
-#     |   New command = $TERMCMD -e $command
-# Note: The "New command" serves only as an illustration, the exact
-# implementation may differ.
-# Note: When using rifle in ranger, there is an additional flag "c" for
-# only running the current file even if you have marked multiple files.
-
-#-------------------------------------------
-# Websites
-#-------------------------------------------
-# Rarely installed browsers get higher priority; It is assumed that if you
-# install a rare browser, you probably use it.  Firefox/konqueror/w3m on the
-# other hand are often only installed as fallback browsers.
-ext x?html?, has surf,           X, flag f = surf -- file://"$1"
-ext x?html?, has vimprobable,    X, flag f = vimprobable -- "$@"
-ext x?html?, has vimprobable2,   X, flag f = vimprobable2 -- "$@"
-ext x?html?, has qutebrowser,    X, flag f = qutebrowser -- "$@"
-ext x?html?, has dwb,            X, flag f = dwb -- "$@"
-ext x?html?, has jumanji,        X, flag f = jumanji -- "$@"
-ext x?html?, has luakit,         X, flag f = luakit -- "$@"
-ext x?html?, has uzbl,           X, flag f = uzbl -- "$@"
-ext x?html?, has uzbl-tabbed,    X, flag f = uzbl-tabbed -- "$@"
-ext x?html?, has uzbl-browser,   X, flag f = uzbl-browser -- "$@"
-ext x?html?, has uzbl-core,      X, flag f = uzbl-core -- "$@"
-ext x?html?, has midori,         X, flag f = midori -- "$@"
-ext x?html?, has chromium,       X, flag f = chromium -- "$@"
-ext x?html?, has opera,          X, flag f = opera -- "$@"
-ext x?html?, has firefox,        X, flag f = firefox -- "$@"
-ext x?html?, has seamonkey,      X, flag f = seamonkey -- "$@"
-ext x?html?, has iceweasel,      X, flag f = iceweasel -- "$@"
-ext x?html?, has epiphany,       X, flag f = epiphany -- "$@"
-ext x?html?, has konqueror,      X, flag f = konqueror -- "$@"
-ext x?html?, has elinks,          terminal = elinks "$@"
-ext x?html?, has links2,          terminal = links2 "$@"
-ext x?html?, has links,           terminal = links "$@"
-ext x?html?, has lynx,            terminal = lynx -- "$@"
-ext x?html?, has w3m,             terminal = w3m "$@"
-
-#-------------------------------------------
-# Misc
-#-------------------------------------------
-ext csv, has vd               = vd "$1"
-
-mime ^text,  label editor = $EDITOR -- "$@"
-mime ^text,  label pager  = "$PAGER" -- "$@"
-!mime ^text, label editor, ext xml|json|tex|py|pl|rb|js|sh|php = $EDITOR -- "$@"
-!mime ^text, label pager,  ext xml|json|tex|py|pl|rb|js|sh|php = "$PAGER" -- "$@"
-
-ext 1                         = man "$1"
-ext s[wmf]c, has zsnes, X     = zsnes "$1"
-ext s[wmf]c, has snes9x-gtk,X = snes9x-gtk "$1"
-ext nes, has fceux, X         = fceux "$1"
-ext exe                       = wine "$1"
-name ^[mM]akefile$            = make
-
-#--------------------------------------------
-# Code
-#-------------------------------------------
-ext py  = python3       -- "$1"
-ext pl  = swipl         -- "$1"
-ext rb  = ruby          -- "$1"
-ext js  = deno          -- "$1"
-ext rkt = racket        -- "$1"
-ext sh  = sh            -- "$1"
-ext m   = mathicsscript -- "$1"
-
-#--------------------------------------------
-# Audio without X
-#-------------------------------------------
-mime ^audio|ogg$, terminal, has mpv      = mpv -- "$@"
-mime ^audio|ogg$, terminal, has mplayer2 = mplayer2 -- "$@"
-mime ^audio|ogg$, terminal, has mplayer  = mplayer -- "$@"
-ext midi?,        terminal, has wildmidi = wildmidi -- "$@"
-
-#--------------------------------------------
-# Video/Audio with a GUI
-#-------------------------------------------
-mime ^video|audio, has gmplayer, X, flag f = gmplayer -- "$@"
-mime ^video|audio, has smplayer, X, flag f = smplayer "$@"
-mime ^video,       has mpv,      X, flag f = mpv -- "$@"
-mime ^video,       has mpv,      X, flag f = mpv --fs -- "$@"
-mime ^video,       has mplayer2, X, flag f = mplayer2 -- "$@"
-mime ^video,       has mplayer2, X, flag f = mplayer2 -fs -- "$@"
-mime ^video,       has mplayer,  X, flag f = mplayer -- "$@"
-mime ^video,       has mplayer,  X, flag f = mplayer -fs -- "$@"
-mime ^video|audio, has vlc,      X, flag f = vlc -- "$@"
-mime ^video|audio, has totem,    X, flag f = totem -- "$@"
-mime ^video|audio, has totem,    X, flag f = totem --fullscreen -- "$@"
-
-#--------------------------------------------
-# Video without X:
-#-------------------------------------------
-mime ^video, terminal, !X, has mpv       = mpv -- "$@"
-mime ^video, terminal, !X, has mplayer2  = mplayer2 -- "$@"
-mime ^video, terminal, !X, has mplayer   = mplayer -- "$@"
-
-#-------------------------------------------
-# Documents
-#-------------------------------------------
-ext pdf, has llpp,     X, flag f = llpp "$@"
-ext pdf, has zathura,  X, flag f = zathura -- "$@"
-ext pdf, has mupdf,    X, flag f = mupdf "$@"
-ext pdf, has mupdf-x11,X, flag f = mupdf-x11 "$@"
-ext pdf, has apvlv,    X, flag f = apvlv -- "$@"
-ext pdf, has xpdf,     X, flag f = xpdf -- "$@"
-ext pdf, has evince,   X, flag f = evince -- "$@"
-ext pdf, has atril,    X, flag f = atril -- "$@"
-ext pdf, has okular,   X, flag f = okular -- "$@"
-ext pdf, has epdfview, X, flag f = epdfview -- "$@"
-ext pdf, has qpdfview, X, flag f = qpdfview "$@"
-
-ext docx?, has catdoc,       terminal = catdoc -- "$@" | "$PAGER"
-
-ext                        sxc|xlsx?|xlt|xlw|gnm|gnumeric, has gnumeric,    X, flag f = gnumeric -- "$@"
-ext                        sxc|xlsx?|xlt|xlw|gnm|gnumeric, has kspread,     X, flag f = kspread -- "$@"
-ext pptx?|od[dfgpst]|docx?|sxc|xlsx?|xlt|xlw|gnm|gnumeric, has libreoffice, X, flag f = libreoffice "$@"
-ext pptx?|od[dfgpst]|docx?|sxc|xlsx?|xlt|xlw|gnm|gnumeric, has soffice,     X, flag f = soffice "$@"
-ext pptx?|od[dfgpst]|docx?|sxc|xlsx?|xlt|xlw|gnm|gnumeric, has ooffice,     X, flag f = ooffice "$@"
-
-ext djvu, has zathura,X, flag f = zathura -- "$@"
-ext djvu, has evince, X, flag f = evince -- "$@"
-ext djvu, has atril,  X, flag f = atril -- "$@"
-
-#-------------------------------------------
-# Image Viewing:
-#-------------------------------------------
-mime ^image/svg, has inkscape, X, flag f = inkscape -- "$@"
-mime ^image/svg, has display,  X, flag f = display -- "$@"
-
-mime ^image, has pqiv,      X, flag f = pqiv -- "$@"
-mime ^image, has sxiv,      X, flag f = sxiv -- "$@"
-mime ^image, has feh,       X, flag f = feh -- "$@"
-mime ^image, has mirage,    X, flag f = mirage -- "$@"
-mime ^image, has ristretto, X, flag f = ristretto "$@"
-mime ^image, has eog,       X, flag f = eog -- "$@"
-mime ^image, has eom,       X, flag f = eom -- "$@"
-mime ^image, has gimp,      X, flag f = gimp -- "$@"
-ext xcf,                    X, flag f = gimp -- "$@"
-
-#-------------------------------------------
-# Archives
-#-------------------------------------------
-
-# avoid password prompt by providing empty password
-ext 7z, has 7z = 7z -p l "$@" | "$PAGER"
-# This requires atool
-ext ace|ar|arc|bz2?|cab|cpio|cpt|deb|dgc|dmg|gz,  has als     = als -- "$@" | "$PAGER"
-ext iso|jar|msi|pkg|rar|shar|tar|tgz|xar|xpi|xz|zip, has als     = als -- "$@" | "$PAGER"
-ext 7z|ace|ar|arc|bz2?|cab|cpio|cpt|deb|dgc|dmg|gz,  has aunpack = aunpack -- "$@"
-ext iso|jar|msi|pkg|rar|shar|tar|tgz|xar|xpi|xz|zip, has aunpack = aunpack -- "$@"
-
-# Fallback:
-ext tar|gz, has tar = tar vvtf "$@" | "$PAGER"
-ext tar|gz, has tar = tar vvxf "$@"
-
-#-------------------------------------------
-# Misc
-#-------------------------------------------
-label wallpaper, number 11, mime ^image, has feh, X = feh --bg-scale "$1"
-label wallpaper, number 12, mime ^image, has feh, X = feh --bg-tile "$1"
-label wallpaper, number 13, mime ^image, has feh, X = feh --bg-center "$1"
-label wallpaper, number 14, mime ^image, has feh, X = feh --bg-fill "$1"
-
-# Define the editor for non-text files + pager as last action
-              !mime ^text, !ext xml|json|tex|py|pl|rb|js|sh|php  = ask
-label editor, !mime ^text, !ext xml|json|tex|py|pl|rb|js|sh|php  = $EDITOR -- "$@"
-label pager,  !mime ^text, !ext xml|json|tex|py|pl|rb|js|sh|php  = "$PAGER" -- "$@"
-
-# The very last action, so that it's never triggered accidentally, is to execute a program:
-mime application/x-executable = "$1"
diff --git a/.config/ranger/scope.sh b/.config/ranger/scope.sh
@@ -1,121 +0,0 @@
-#!/usr/bin/env sh
-# ranger supports enhanced previews.  If the option "use_preview_script"
-# is set to True and this file exists, this script will be called and its
-# output is displayed in ranger.  ANSI color codes are supported.
-
-# NOTES: This script is considered a configuration file.  If you upgrade
-# ranger, it will be left untouched. (You must update it yourself.)
-# Also, ranger disables STDIN here, so interactive scripts won't work properly
-
-# Meanings of exit codes:
-# code | meaning    | action of ranger
-# -----+------------+-------------------------------------------
-# 0    | success    | success. display stdout as preview
-# 1    | no preview | failure. display no preview at all
-# 2    | plain text | display the plain content of the file
-# 3    | fix width  | success. Don't reload when width changes
-# 4    | fix height | success. Don't reload when height changes
-# 5    | fix both   | success. Don't ever reload
-# 6    | image      | success. display the image $cached points to as an image preview
-# 7    | image      | success. display the file directly as an image
-
-# Meaningful aliases for arguments:
-path="$1"            # Full path of the selected file
-width="$2"           # Width of the preview pane (number of fitting characters)
-height="$3"          # Height of the preview pane (number of fitting characters)
-cached="$4"          # Path that should be used to cache image previews
-preview_images="$5"  # "True" if image previews are enabled, "False" otherwise.
-
-maxln=200    # Stop after $maxln lines.  Can be used like ls | head -n $maxln
-
-# Find out something about the file:
-mimetype=$(file --mime-type -Lb "$path")
-extension=$(/bin/echo "${path##*.}" | awk '{print tolower($0)}')
-
-# Functions:
-# runs a command and saves its output into $output.  Useful if you need
-# the return value AND want to use the output in a pipe
-try() { output=$(eval '"$@"'); }
-
-# writes the output of the previously used "try" command
-dump() { /bin/echo "$output"; }
-
-# a common post-processing function used after most commands
-trim() { head -n "$maxln"; }
-
-# wraps highlight to treat exit code 141 (killed by SIGPIPE) as success
-safepipe() { "$@"; test $? = 0 -o $? = 141; }
-
-# Image previews, if enabled in ranger.
-if [ "$preview_images" = "True" ]; then
-    case "$mimetype" in
-        # Image previews for SVG files, disabled by default.
-        image/svg+xml)
-           convert "$path" "$cached" && exit 6 || exit 1;;
-        # Image previews for image files. w3mimgdisplay will be called for all
-        # image files (unless overriden as above), but might fail for
-        # unsupported types.
-        image/*)
-            exit 7;;
-        # Image preview for video, disabled by default.:
-        video/*)
-            ffmpegthumbnailer -i "$path" -o "$cached" -s 0 && exit 6 || exit 1;;
-    esac
-fi
-
-case "$extension" in
-    # Archive extensions:
-    a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
-    rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
-        try als "$path" && { dump | trim; exit 0; }
-        try acat "$path" && { dump | trim; exit 3; }
-        try bsdtar -lf "$path" && { dump | trim; exit 0; }
-        exit 1;;
-    rar)
-        # avoid password prompt by providing empty password
-        try unrar -p- lt "$path" && { dump | trim; exit 0; } || exit 1;;
-    7z)
-        # avoid password prompt by providing empty password
-        try 7z -p l "$path" && { dump | trim; exit 0; } || exit 1;;
-    # PDF documents:
-    pdf)
-        try pdftotext -l 10 -nopgbrk -q "$path" - && \
-            { dump | trim | fmt -s -w $width; exit 0; } || exit 1;;
-    # BitTorrent Files
-    torrent)
-        try transmission-show "$path" && { dump | trim; exit 5; } || exit 1;;
-    # ODT Files
-    odt|ods|odp|sxw)
-        try odt2txt "$path" && { dump | trim; exit 5; } || exit 1;;
-    # HTML Pages:
-    htm|html|xhtml)
-        try w3m    -dump "$path" && { dump | trim | fmt -s -w $width; exit 4; }
-        try lynx   -dump "$path" && { dump | trim | fmt -s -w $width; exit 4; }
-        try elinks -dump "$path" && { dump | trim | fmt -s -w $width; exit 4; }
-        ;; # fall back to highlight/cat if the text browsers fail
-esac
-
-case "$mimetype" in
-    # Syntax highlight for text files:
-    text/* | */xml)
-        if [ "$(tput colors)" -ge 256 ]; then
-            pygmentize_format=terminal256
-            highlight_format=xterm256
-        else
-            pygmentize_format=terminal
-            highlight_format=ansi
-        fi
-        try safepipe highlight --out-format=${highlight_format} "$path" && { dump | trim; exit 5; }
-        try safepipe pygmentize -f ${pygmentize_format} "$path" && { dump | trim; exit 5; }
-        exit 2;;
-    # Ascii-previews of images:
-    image/*)
-        img2txt --gamma=0.6 --width="$width" "$path" && exit 4 || exit 1;;
-    # Display information about media files:
-    video/* | audio/*)
-        exiftool "$path" && exit 5
-        # Use sed to remove spaces so the output fits into the narrow window
-        try mediainfo "$path" && { dump | trim | sed 's/  \+:/: /;';  exit 5; } || exit 1;;
-esac
-
-exit 1
diff --git a/.config/ranger/tagged b/.config/ranger/tagged
@@ -1 +0,0 @@
-q:/home/pablo/Documents/Books/The Elements of Real Analysis by Bartle R.G..pdf
diff --git a/.local/share/configs.list b/.local/share/configs.list
@@ -9,7 +9,6 @@
 /home/pablo/.config/mutt/accounts/1-public.muttrc
 /home/pablo/.config/mutt/asciidoc-template
 /home/pablo/.config/nvim/init.vim
-/home/pablo/.config/ranger
 /home/pablo/.config/tmux
 /home/pablo/.local/bin/exports.sh
 /home/pablo/.local/share/configs.list